-Misc config files that don't have their own repos. There is probably
-some poorly documented, and some outdated, but also some stuff someone
-could find useful. Some other config stuff has their own repos at
+Misc configs that I use
+
+Some stuff someone could find useful, some is a bit outdated. My bashrc
+and emacs config are kept in good state and have their own repos at
https://iankelling.org/git
--- /dev/null
+#!/bin/bash -l
+# Copyright (C) 2016 Ian Kelling
+
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+
+# http://www.apache.org/licenses/LICENSE-2.0
+
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -eE -o pipefail
+trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
+
+lock_file=/tmp/check-lets-encrypt-ssl-settings
+if [[ -e $lock_file ]]; then
+ exit 0
+fi
+
+d=/a/opt/certbot
+gitget https://github.com/certbot/certbot.git $d &>/tmp/${0##*/}.log
+cd $d
+
+f=certbot-apache/certbot_apache/options-ssl-apache.conf
+out=$(git log -p --since 2014-08-14 $f)
+
+if [[ $out ]]; then
+ cat <<EOF
+Let's encrypt has new ssl settings. Update your web servers, then
+edit the date in $0, and
+rm $lock_file
+The change is:
+$out
+EOF
+ touch $lock_file
+fi